Qt 5.7 | Qt 3D | C++ Classes | QSeamlessCubemap

Qt 5.7.1 Reference Documentation

# QSeamlessCubemap Class

(Qt3DRender::QSeamlessCubemap)

Enables seamless cubemap texture filtering. When present in a state set, enables the seamless cubemap texture filtering as provided by the GL_ARB_seamless_cubemap extension (if available). More...

Header: | #include <QSeamlessCubemap>
Since: | Qt 5.7
Inherits: | QRenderState

- List of all members, including inherited members

## Public Functions

| QSeamlessCubemap(Qt3DCore::QNode *parent = nullptr)

- 6 public functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 properties inherited from Qt3DCore::QNode
- 2 public slots inherited from Qt3DCore::QNode
- 3 signals inherited from Qt3DCore::QNode
- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

Enables seamless cubemap texture filtering. When present in a state set, enables the seamless cubemap texture filtering as provided by the GL_ARB_seamless_cubemap extension (if available).

## Member Function Documentation

### QSeamlessCubemap::QSeamlessCubemap(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QSeamlessCubemap.